Subject: [bug#36605] [PATCH 00/12] Java build-system and some packages

From: Hartmut Goebel <[email-masked]>
Date: Thu, 11 Jul 2019 22:26:22 +0200

Enclosed please find some enhancemnets to the java/ant build-system and some
java packages.

For the changes to the build-systm I'd apprechiate ideas for better code.
There also is room for improovements, e.g. adding both a "test" (unsing junit)
and a "javadoc" target to the default build.xml. (I will noit implement this,
I'm done with Java).

Regarding the packages: Only very few packages have build.xml for ant. For the
others I'm only using a default build.xml to get the jar build. So not tests
nor javadocs. IMO it is important to have the java packages available at all.
After the enhancements described above are implemented, this should be fixed.

Hartmut Goebel (12):
  guix: ant-bulild-sytem: allow specifying the source directory.
  guix: ant-build-system: use abs path as basedir
  guix: Add java-utils.
  gnu: Add java-plexus-utils.
  gnu: Add java-plexus-interpolation.
  gnu: Add java-commons-cli.
  gnu: Add java-commons-codec.
  gnu: Add java-commons-daemon.
  gnu: Add java-commons-io.
  gnu: Add java-commons-lang.
  gnu: Add java-commons-lang3.
  gnu: Add java-commons-bcel.

 Makefile.am                     |   1 +
 doc/guix.texi                   |   3 +-
 gnu/packages/java.scm           | 332 ++++++++++++++++++++++++++++++++++++++++
 guix/build-system/ant.scm       |   4 +
 guix/build/ant-build-system.scm |  10 +-
 guix/build/java-utils.scm       |  52 +++++++
 6 files changed, 396 insertions(+), 6 deletions(-)
 create mode 100644 guix/build/java-utils.scm

-- 
2.7.4